Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
flags
/
{featureFlagKey}
/
environments
/
{environmentKey}
/
workflows
Get workflows
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/workflows \
  --header 'Authorization: <api-key>'
{
  "items": [
    {
      "_id": "12ab3c4d5ef1a2345bcde67f",
      "_version": 1,
      "_conflicts": [
        {
          "stageId": "12ab3c4d5ef1a2345bcde67f",
          "message": "<string>"
        }
      ],
      "_creationDate": "1654104600000",
      "_maintainerId": "12ab3c45de678910abc12345",
      "_links": {},
      "name": "Progressive rollout starting in two days",
      "_execution": "{\"status\": \"completed\"}",
      "description": "Turn flag on for 10% of customers each day",
      "kind": "custom",
      "stages": [
        {
          "_id": "12ab3c45de678910abc12345",
          "conditions": [
            {
              "_execution": {
                "status": "completed"
              },
              "id": "12ab3c45de678910abc12345",
              "kind": "schedule",
              "scheduleKind": "relative",
              "waitDuration": 2,
              "waitDurationUnit": "calendarDay"
            }
          ],
          "action": "{ \"kind\": \"patch\", \"instructions\": [{ \"kind\": \"turnFlagOn\"}] }",
          "_execution": "{ \"status\": \"completed\" }",
          "name": "10% rollout on day 1"
        }
      ],
      "meta": {
        "parameters": [
          {
            "_id": "<string>",
            "path": "<string>",
            "default": {
              "value": "<unknown>",
              "booleanVariationValue": true,
              "ruleClause": {
                "attribute": "<string>",
                "op": "in",
                "negate": true
              }
            },
            "valid": true
          }
        ]
      },
      "templateKey": "example-workflow-template"
    }
  ],
  "totalCount": 1,
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

Query Parameters

status
string<string>

Filter results by workflow status. Valid status filters are active, completed, and failed.

sort
string<string>

A field to sort the items by. Prefix field by a dash ( - ) to sort in descending order. This endpoint supports sorting by creationDate or stopDate.

limit
integer<int64>

The maximum number of workflows to return. Defaults to 20.

offset
integer<int64>

Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Workflows collection response

items
object[]
required

An array of workflows

totalCount
integer
required

Total number of workflows

Example:

1

The location and content type of related resources